Item Logo
Yms apiLoad controller

POST Create Load

POST Create load

Introduction

Create a new load in the YMS system. This API allows you to submit load information including carrier, customer, equipment details, order references, item lines, appointment data, and dynamic field values. The load will be registered and assigned a unique identifier upon successful creation.

POST /public/load/create

Body Request Parameters

Request Parameters

Name

Location

Type

Required

Description

X-Tenant-ID

header

string

No

none

X-Yard-ID

header

string

No

none

Item-Time-Zone

header

string

No

none

Authorization

header

string

No

none

Item-Bam-Client

header

string

No

none

x-facility-id

header

string

No

none

body

body

object

No

none

» uniqueKey

body

string

No

Client-provided unique key for idempotency. Used to prevent duplicate load creation

» loadNo

body

string

Yes

Human-readable load number or reference

» shipMethod

body

string

Yes

Shipping method,allowed values: TRUCKLOAD,SMALLPARCEL,LTL,WILL_CALL

» carrierId

body

string

No

Associated carrier identifier

» externalCarrierId

body

string

No

External carrier identifier from external systems

» appointmentTime

body

string

No

Appointment time

» appointmentId

body

string

No

Related appointment identifier, if any

» orderIds

body

[string]

No

List of related order identifiers

» customerId

body

string

No

Associated customer identifier

» masterBol

body

string

No

Master bill of lading number

» sealNo

body

string

No

Seal number used on the trailer or container

» dynamicFieldValues

body

[object]

No

Dynamic field values for custom attributes

»» fieldCode

body

string

Yes

Field code

»» value

body

string

No

none

»» values

body

[string]

No

Multi-select value list, takes priority over value

» equipmentType

body

string

No

Equipment type for the load,allowed values: TRAILER,CONTAINER,CHASSIS,FLATBED,OTHER

» equipmentNo

body

string

No

Equipment number

Enum Values

Property

Value

» shipMethod

TRUCK_LOAD

» shipMethod

SMALL_PARCEL

» shipMethod

LTL

» shipMethod

WILL_CALL

» equipmentType

VEHICLE

» equipmentType

TRAILER

» equipmentType

CHASSIS

» equipmentType

CONTAINER

» equipmentType

FLATBED

» equipmentType

OTHER

» equipmentType

NO_EQUIPMENT

Response Example

Response

Status Code

Definition

Description

Data Model

200

OK

none

RLoadView